'use strict'
/**
 * Created by gaoyong on 16/5/26.
 */

/**
*  本文件配置http数据 包括 各种模版引擎需要的落地页渲染数据+ajax请求数据
*/
let data = [
    {
        /*
        *  本文件中配置的所有路径的基础路径
        *   在最终计算路径的时候会把基础路径和相对路径拼合起来
        */
        projectName: 'fn-server http demo',
        // 供落地页使用
        baseFilePath : '/Users/gaoyong/Documents/working/svn/statics/tplServer_node/views/',
        routes : [
            {
                //必需排除协议地址端口号部分否则80,443端口本服务器用不上
                /*'uri' : 'uri',
                'type' : 'post',
                'timeout' : 0,
                'json': {
                    'jsonData': {
                        'err_code' : '0',
                        'err_str' : '',
                        'activStatus' : 1
                    }
                }*/
            },
            {
                'routeName': '3月小确幸',
                'uri' : '/xqx201603',
                'filePath':'/Users/gaoyong/Documents/working/svn/branch/web/zt.xiaoying.com/html/online/resources/views/xqx201603/xqx201603.ftl',
                'type' : 'freemarker',
            },
            {
                'routeName': '落地页名字',
                'uri' : 'http://zt.xiaoying.com/newdownload?source=1002',
                'filePath':'./appdownload201606/appdownload201606_m.html',
                'type' : 'artTemplate',
                'timeout' : 0,  // 当method = page 时,timeout字段作废
                'json': {
                    // 'jsonData': {
                    //     'err_code' : '0',
                    //     'err_str' : '',
                    //     'activStatus' : 1
                    // }
                }
            },
            {
                'uri' : '/getData',
                'type' : 'get',
                'timeout' : 0,  // 当method = page 时,timeout字段作废
                /**
                *  配置ajax请求的返回值字段
                */
                'json': {
                    'jsonData': { 
                        'err_code' : '0',
                        'err_str' : '网页说明new',
                        'activStatus' : 0,
                        'path': '/getData'
                    }
                }
            },
            {
                'uri' : '/postData',
                'type' : 'post',
                'timeout' : 0,  // 当method = page 时,timeout字段作废
                'json': {
                    'jsonData': {
                        'err_code' : '0',
                        'err_str' : '',
                        'activStatus' : 1,
                        'path': '/postData'
                    }
                }
            }
        ]
    }
]


/**
*  导出数据
*/
module.exports = data;


