/**
 * Created by weijianli on 16/3/28.
 */


var artTemplate = require('art-template');

module.exports = function (option) {
    for(var key in option){
        artTemplate.config(key, option[key]);
    }
    return function (tpl,data) {
        data = data||{};
        return new Promise(function (resolve, reject) {
            try {
                var html = artTemplate.renderFile(tpl,data);
                resolve(html);
            } catch (e) {
                reject(e);
            }
        })
    }
};