'use strict'
/**
 * Created by gaoyong on 16/5/27.
 */
const url = require('url');

const httpUtil = require('./httpUtil.js');

const requestPrototype = {
    getJSONHTTP : function () {
        
    }
};

module.exports = function (context) {  //koajs 内置对象
    if ( context && context.req ) {
        let requestObj = Object.create(requestPrototype);
        let req = context.req;
        requestObj.method = req.method;

        let urlObj = url.parse( req.url );
        requestObj.uri = httpUtil.setNoPortURI(req);
        requestObj.path = urlObj.path;
        requestObj.pathname = urlObj.pathname;
        requestObj.search = urlObj.search;

        return requestObj;
    }
};
