/**
*  业务逻辑
*   @author: fe-gaoyong
*   @date: 2016.07.05
*/
define(['jquery',"bootstrap","util"],function($,bootstrap,util) {

	window.artTemplateList = [];
	var vue = null;

	var isRequesing = false;
	function updateList () {
		if ( isRequesing ) {
			return false;
		}
		isRequesing = true;

		$.ajax( {
			url: '/getArtTemplateRoutes',
			method: 'get',
			dataType: 'json',
			success: function (data) {
				showList( data );
			},
			error: function (xhr,err) {
				showError( err );
			}
		} );
	}

	function showList (data) {
		if ( data && data['err_code'] == 0 ) {
			if ( data.artTemplatList && data.artTemplatList.length > 0 ) {
				window.artTemplateList.length = 0;
				data.artTemplatList.forEach( function ( artTemplat ) {
					window.artTemplateList.push( artTemplat );
				} );
			} else {
				util.showAlert( '没有artTemplate配置路由!' );
			}
		} else {
			util.showAlert( data['msg'] || '出错了!' );
		}
	}

	function showError ( err ) {
		util.showAlert( err );
	}


	$('#update').click( function () {
		updateList();
	} );

	$( function () {
		vue = new Vue( {
			el: '#list',
			data: {
				artTemplateList: window.artTemplateList
			} 			
		} );
	} );

});

