/**
*  业务逻辑
*   @author: fe-gaoyong
*   @date: 2016.06.30
*/
define(['jquery'],function($) {
	
	function showAlert (msg) {
		if ( msg && typeof msg === 'string' ) {
			$('#alertContent').html(msg);
			$('#alert').removeClass('hide').addClass('show');
		}		
	}

	function hideAlert () {
		$('#alert').removeClass('show').addClass('hide');
	}

	return {
		'showAlert': showAlert,
		'hideAlert': hideAlert
	};
});

